/**
    * @license
    * Copyright 2023 Google LLC. All Rights Reserved.
    * Licensed under the Apache License, Version 2.0 (the "License");
    * you may not use this file except in compliance with the License.
    * You may obtain a copy of the License at
    *
    * http://www.apache.org/licenses/LICENSE-2.0
    *
    * Unless required by applicable law or agreed to in writing, software
    * distributed under the License is distributed on an "AS IS" BASIS,
    * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    * See the License for the specific language governing permissions and
    * limitations under the License.
    * =============================================================================
    */
import{Hands as t}from"@mediapipe/hands";import{Tensor as e,browser as n,util as i,tidy as r,add as o,mul as a,tensor2d as h,image as s,expandDims as u,cast as l,slice as d,squeeze as c,dispose as f,tensor1d as p,div as m,exp as g,sub as x,concat as y,reshape as v,clipByValue as M,sigmoid as w}from"@tensorflow/tfjs-core";import{loadGraphModel as b}from"@tensorflow/tfjs-converter";var I=function(){return I=Object.assign||function(t){for(var e,n=1,i=arguments.length;n<i;n++)for(var r in e=arguments[n])Object.prototype.hasOwnProperty.call(e,r)&&(t[r]=e[r]);return t},I.apply(this,arguments)};function S(t,e,n,i){return new(n||(n=Promise))((function(r,o){function a(t){try{s(i.next(t))}catch(t){o(t)}}function h(t){try{s(i.throw(t))}catch(t){o(t)}}function s(t){var e;t.done?r(t.value):(e=t.value,e instanceof n?e:new n((function(t){t(e)}))).then(a,h)}s((i=i.apply(t,e||[])).next())}))}function T(t,e){var n,i,r,o,a={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return o={next:h(0),throw:h(1),return:h(2)},"function"==typeof Symbol&&(o[Symbol.iterator]=function(){return this}),o;function h(h){return function(s){return function(h){if(n)throw new TypeError("Generator is already executing.");for(;o&&(o=0,h[0]&&(a=0)),a;)try{if(n=1,i&&(r=2&h[0]?i.return:h[0]?i.throw||((r=i.return)&&r.call(i),0):i.next)&&!(r=r.call(i,h[1])).done)return r;switch(i=0,r&&(h=[2&h[0],r.value]),h[0]){case 0:case 1:r=h;break;case 4:return a.label++,{value:h[1],done:!1};case 5:a.label++,i=h[1],h=[0];continue;case 7:h=a.ops.pop(),a.trys.pop();continue;default:if(!(r=a.trys,(r=r.length>0&&r[r.length-1])||6!==h[0]&&2!==h[0])){a=0;continue}if(3===h[0]&&(!r||h[1]>r[0]&&h[1]<r[3])){a.label=h[1];break}if(6===h[0]&&a.label<r[1]){a.label=r[1],r=h;break}if(r&&a.label<r[2]){a.label=r[2],a.ops.push(h);break}r[2]&&a.ops.pop(),a.trys.pop();continue}h=e.call(t,a)}catch(t){h=[6,t],i=0}finally{n=r=0}if(5&h[0])throw h[1];return{value:h[0]?h[1]:void 0,done:!0}}([h,s])}}}"function"==typeof SuppressedError&&SuppressedError;var _=["wrist","thumb_cmc","thumb_mcp","thumb_ip","thumb_tip","index_finger_mcp","index_finger_pip","index_finger_dip","index_finger_tip","middle_finger_mcp","middle_finger_pip","middle_finger_dip","middle_finger_tip","ring_finger_mcp","ring_finger_pip","ring_finger_dip","ring_finger_tip","pinky_finger_mcp","pinky_finger_pip","pinky_finger_dip","pinky_finger_tip"],C={runtime:"mediapipe",maxHands:2,modelType:"full"};var k=function(){function i(e){var n,i=this;if(this.width=0,this.height=0,this.selfieMode=!1,this.handsSolution=new t({locateFile:function(t,n){return e.solutionPath?e.solutionPath.replace(/\/+$/,"")+"/"+t:n+"/"+t}}),"lite"===e.modelType)n=0;else n=1;this.handsSolution.setOptions({modelComplexity:n,selfieMode:this.selfieMode,maxNumHands:e.maxHands}),this.handsSolution.onResults((function(t){if(i.height=t.image.height,i.width=t.image.width,i.hands=[],null!==t.multiHandLandmarks)for(var e=t.multiHandedness,n=t.multiHandLandmarks,r=t.multiHandWorldLandmarks,o=0;o<e.length;o++)i.hands.push(I(I({},i.translateOutput(n[o],r[o])),{score:e[o].score,handedness:e[o].label}))}))}return i.prototype.translateOutput=function(t,e){var n=this;return{keypoints:t.map((function(t,e){return{x:t.x*n.width,y:t.y*n.height,score:t.visibility,name:_[e]}})),keypoints3D:e.map((function(t,e){return{x:t.x,y:t.y,z:t.z,score:t.visibility,name:_[e]}}))}},i.prototype.estimateHands=function(t,i){return S(this,void 0,void 0,(function(){var r,o;return T(this,(function(a){switch(a.label){case 0:return i&&i.flipHorizontal&&i.flipHorizontal!==this.selfieMode&&(this.selfieMode=i.flipHorizontal,this.handsSolution.setOptions({selfieMode:this.selfieMode})),t instanceof e?(o=ImageData.bind,[4,n.toPixels(t)]):[3,2];case 1:return r=new(o.apply(ImageData,[void 0,a.sent(),t.shape[1],t.shape[0]])),[3,3];case 2:r=t,a.label=3;case 3:return t=r,[4,this.handsSolution.send({image:t})];case 4:return a.sent(),[2,this.hands]}}))}))},i.prototype.dispose=function(){this.handsSolution.close()},i.prototype.reset=function(){this.handsSolution.reset(),this.width=0,this.height=0,this.hands=null,this.selfieMode=!1},i.prototype.initialize=function(){return this.handsSolution.initialize()},i}();function H(t){return S(this,void 0,void 0,(function(){var e,n;return T(this,(function(i){switch(i.label){case 0:return e=function(t){if(null==t)return I({},C);var e=I({},t);return e.runtime="mediapipe",null==e.maxHands&&(e.maxHands=C.maxHands),null==e.modelType&&(e.modelType=C.modelType),e}(t),[4,(n=new k(e)).initialize()];case 1:return i.sent(),[2,n]}}))}))}function z(t){return t.width*t.height}function O(t){var e=t.xCenter-t.width/2,n=e+t.width,i=t.yCenter-t.height/2;return{xMin:e,xMax:n,yMin:i,yMax:i+t.height,width:t.width,height:t.height}}function L(t,e){var n=O(t),i=O(e);if(!function(t,e){return!(t.xMax<e.xMin||e.xMax<t.xMin||t.yMax<e.yMin||e.yMax<t.yMin)}(n,i))return 0;var r=z(function(t,e){var n=Math.max(t.xMin,e.xMin),i=Math.min(t.xMax,e.xMax),r=Math.max(t.yMin,e.yMin),o=Math.min(t.yMax,e.yMax);return{xMin:n,xMax:i,yMin:r,yMax:o,width:Math.max(i-n,0),height:Math.max(o-r,0)}}(n,i)),o=z(n)+z(i)-r;return o>0?r/o:0}function E(t,e,n,i){var r=t.width,o=t.height,a=i?-1:1,h=Math.cos(t.rotation),s=Math.sin(t.rotation),u=t.xCenter,l=t.yCenter,d=1/e,c=1/n,f=new Array(16);return f[0]=r*h*a*d,f[1]=-o*s*d,f[2]=0,f[3]=(-.5*r*h*a+.5*o*s+u)*d,f[4]=r*s*a*c,f[5]=o*h*c,f[6]=0,f[7]=(-.5*o*h-.5*r*s*a+l)*c,f[8]=0,f[9]=0,f[10]=r*d,f[11]=0,f[12]=0,f[13]=0,f[14]=0,f[15]=1,function(t){if(16!==t.length)throw new Error("Array length must be 16 but got "+t.length);return[[t[0],t[1],t[2],t[3]],[t[4],t[5],t[6],t[7]],[t[8],t[9],t[10],t[11]],[t[12],t[13],t[14],t[15]]]}(f)}function N(t){return t instanceof e?{height:t.shape[0],width:t.shape[1]}:{height:t.height,width:t.width}}function A(t){return t-2*Math.PI*Math.floor((t+Math.PI)/(2*Math.PI))}function B(t){return t instanceof e?t:n.fromPixels(t)}function R(t,e){i.assert(0!==t.width,(function(){return e+" width cannot be 0."})),i.assert(0!==t.height,(function(){return e+" height cannot be 0."}))}function V(t,e){var n=function(t,e,n,i){var r=e-t,o=i-n;if(0===r)throw new Error("Original min and max are both "+t+", range cannot be 0.");var a=o/r;return{scale:a,offset:n-t*a}}(0,255,e[0],e[1]);return r((function(){return o(a(t,n.scale),n.offset)}))}function P(t,e,n){var i=e.outputTensorSize,o=e.keepAspectRatio,a=e.borderMode,d=e.outputTensorFloatRange,c=N(t),f=function(t,e){return e?{xCenter:e.xCenter*t.width,yCenter:e.yCenter*t.height,width:e.width*t.width,height:e.height*t.height,rotation:e.rotation}:{xCenter:.5*t.width,yCenter:.5*t.height,width:t.width,height:t.height,rotation:0}}(c,n),p=function(t,e,n){if(void 0===n&&(n=!1),!n)return{top:0,left:0,right:0,bottom:0};var i=e.height,r=e.width;R(e,"targetSize"),R(t,"roi");var o,a,h=i/r,s=t.height/t.width,u=0,l=0;return h>s?(o=t.width,a=t.width*h,l=(1-s/h)/2):(o=t.height/h,a=t.height,u=(1-h/s)/2),t.width=o,t.height=a,{top:l,left:u,right:u,bottom:l}}(f,i,o),m=E(f,c.width,c.height,!1),g=r((function(){var e=B(t),n=h(function(t,e,n){return R(n,"inputResolution"),[1/n.width*t[0][0]*e.width,1/n.height*t[0][1]*e.width,t[0][3]*e.width,1/n.width*t[1][0]*e.height,1/n.height*t[1][1]*e.height,t[1][3]*e.height,0,0]}(m,c,i),[1,8]),r="zero"===a?"constant":"nearest",o=s.transform(u(l(e,"float32")),n,"bilinear",r,0,[i.height,i.width]);return null!=d?V(o,d):o}));return{imageTensor:g,padding:p,transformationMatrix:m}}function D(t,e,n,i){return 1===i?.5*(t+e):t+(e-t)*n/(i-1)}function K(t){return{xCenter:t.xMin+t.width/2,yCenter:t.yMin+t.height/2,width:t.width,height:t.height}}function F(t){var e=t.relativeKeypoints;if(e.length<=1)throw new Error("2 or more keypoints required to calculate a rect.");var n=Number.MAX_VALUE,i=Number.MAX_VALUE,r=Number.MIN_VALUE,o=Number.MIN_VALUE;return e.forEach((function(t){n=Math.min(n,t.x),r=Math.max(r,t.x),i=Math.min(i,t.y),o=Math.max(o,t.y)})),{xCenter:(n+r)/2,yCenter:(i+o)/2,width:r-n,height:o-i}}function Y(t,e,n,i,r){var o="rect"===n?function(t,e,n){var i,r=t.locationData;if("boundingbox"===e)i=K(r.boundingBox);else{i=F(r);var o=n.width,a=n.height;i.xCenter=Math.round(i.xCenter*o),i.yCenter=Math.round(i.yCenter*a),i.width=Math.round(i.width*o),i.height=Math.round(i.height*a)}return i}(t,e,i):function(t,e){var n=t.locationData;return"boundingbox"===e?K(n.relativeBoundingBox):F(n)}(t,e);return r&&(o.rotation=function(t,e,n){var i,r=t.locationData,o=n.rotationVectorStartKeypointIndex,a=n.rotationVectorEndKeypointIndex;i=n.rotationVectorTargetAngle?n.rotationVectorTargetAngle:Math.PI*n.rotationVectorTargetAngleDegree/180;var h=r.relativeKeypoints[o].x*e.width,s=r.relativeKeypoints[o].y*e.height,u=r.relativeKeypoints[a].x*e.width,l=r.relativeKeypoints[a].y*e.height;return A(i-Math.atan2(-(l-s),u-h))}(t,i,r)),o}function U(t){return r((function(){var e=function(t){return r((function(){return[d(t,[0,0,0],[1,-1,1]),d(t,[0,0,1],[1,-1,-1])]}))}(t),n=e[0],i=e[1];return{boxes:c(i),logits:c(n)}}))}function j(t,e,n,i){return S(this,void 0,void 0,(function(){var i,r,o,a,u;return T(this,(function(l){switch(l.label){case 0:return t.sort((function(t,e){return Math.max.apply(Math,e.score)-Math.max.apply(Math,t.score)})),i=h(t.map((function(t){return[t.locationData.relativeBoundingBox.yMin,t.locationData.relativeBoundingBox.xMin,t.locationData.relativeBoundingBox.yMax,t.locationData.relativeBoundingBox.xMax]}))),r=p(t.map((function(t){return t.score[0]}))),[4,s.nonMaxSuppressionAsync(i,r,e,n)];case 1:return[4,(o=l.sent()).array()];case 2:return a=l.sent(),u=t.filter((function(t,e){return a.indexOf(e)>-1})),f([i,r,o]),[2,u]}}))}))}function X(t,e){return t.map((function(t){var n=I(I({},t),{x:t.x*e.width,y:t.y*e.height});return null!=t.z&&(n.z=t.z*e.width),n}))}function W(t,e,n){return S(this,void 0,void 0,(function(){var i,h,s,u,l;return T(this,(function(p){switch(p.label){case 0:return i=t[0],h=t[1],s=function(t,e,n){return r((function(){var i,r,h,s;n.reverseOutputOrder?(r=c(d(t,[0,n.boxCoordOffset+0],[-1,1])),i=c(d(t,[0,n.boxCoordOffset+1],[-1,1])),s=c(d(t,[0,n.boxCoordOffset+2],[-1,1])),h=c(d(t,[0,n.boxCoordOffset+3],[-1,1]))):(i=c(d(t,[0,n.boxCoordOffset+0],[-1,1])),r=c(d(t,[0,n.boxCoordOffset+1],[-1,1])),h=c(d(t,[0,n.boxCoordOffset+2],[-1,1])),s=c(d(t,[0,n.boxCoordOffset+3],[-1,1]))),r=o(a(m(r,n.xScale),e.w),e.x),i=o(a(m(i,n.yScale),e.h),e.y),n.applyExponentialOnBoxSize?(h=a(g(m(h,n.hScale)),e.h),s=a(g(m(s,n.wScale)),e.w)):(h=a(m(h,n.hScale),e.h),s=a(m(s,n.wScale),e.h));var u=x(i,m(h,2)),l=x(r,m(s,2)),f=o(i,m(h,2)),p=o(r,m(s,2)),M=y([v(u,[n.numBoxes,1]),v(l,[n.numBoxes,1]),v(f,[n.numBoxes,1]),v(p,[n.numBoxes,1])],1);if(n.numKeypoints)for(var w=0;w<n.numKeypoints;++w){var b=n.keypointCoordOffset+w*n.numValuesPerKeypoint,I=void 0,S=void 0;n.reverseOutputOrder?(I=c(d(t,[0,b],[-1,1])),S=c(d(t,[0,b+1],[-1,1]))):(S=c(d(t,[0,b],[-1,1])),I=c(d(t,[0,b+1],[-1,1])));var T=o(a(m(I,n.xScale),e.w),e.x),_=o(a(m(S,n.yScale),e.h),e.y);M=y([M,v(T,[n.numBoxes,1]),v(_,[n.numBoxes,1])],1)}return M}))}(h,e,n),u=r((function(){var t=i;return n.sigmoidScore?(null!=n.scoreClippingThresh&&(t=M(i,-n.scoreClippingThresh,n.scoreClippingThresh)),t=w(t)):t})),[4,q(s,u,n)];case 1:return l=p.sent(),f([s,u]),[2,l]}}))}))}function q(t,e,n){return S(this,void 0,void 0,(function(){var i,r,o,a,h,s,u,l,d,c,f,p;return T(this,(function(m){switch(m.label){case 0:return i=[],[4,t.data()];case 1:return r=m.sent(),[4,e.data()];case 2:for(o=m.sent(),a=0;a<n.numBoxes;++a)if(!(null!=n.minScoreThresh&&o[a]<n.minScoreThresh||(h=a*n.numCoords,s=G(r[h+0],r[h+1],r[h+2],r[h+3],o[a],n.flipVertically,a),(u=s.locationData.relativeBoundingBox).width<0||u.height<0))){if(n.numKeypoints>0)for((l=s.locationData).relativeKeypoints=[],d=n.numKeypoints*n.numValuesPerKeypoint,c=0;c<d;c+=n.numValuesPerKeypoint)f=h+n.keypointCoordOffset+c,p={x:r[f+0],y:n.flipVertically?1-r[f+1]:r[f+1]},l.relativeKeypoints.push(p);i.push(s)}return[2,i]}}))}))}function G(t,e,n,i,r,o,a){return{score:[r],ind:a,locationData:{relativeBoundingBox:{xMin:e,yMin:o?1-n:t,xMax:i,yMax:o?1-t:n,width:i-e,height:n-t}}}}function Z(t,e){return"none"===t?e:function(t){return 1/(1+Math.exp(-t))}(e)}function $(t,e,n,i){return S(this,void 0,void 0,(function(){var r,o,a,h,s,u,l,d;return T(this,(function(c){switch(c.label){case 0:return n=n||e.flipHorizontally||!1,i=i||e.flipVertically||!1,r=t.size,o=r/e.numLandmarks,[4,t.data()];case 1:for(a=c.sent(),h=[],s=0;s<e.numLandmarks;++s)u=s*o,(d={x:0,y:0}).x=n?e.inputImageWidth-a[u]:a[u],o>1&&(d.y=i?e.inputImageHeight-a[u+1]:a[u+1]),o>2&&(d.z=a[u+2]),o>3&&(d.score=Z(e.visibilityActivation,a[u+3])),h.push(d);for(l=0;l<h.length;++l)(d=h[l]).x=d.x/e.inputImageWidth,d.y=d.y/e.inputImageHeight,d.z=d.z/e.inputImageWidth/(e.normalizeZ||1);return[2,h]}}))}))}function J(t,e,n){var i=t.width,r=t.height,o=t.rotation;if(null==n.rotation&&null==n.rotationDegree||(o=function(t,e){null!=e.rotation?t+=e.rotation:null!=e.rotationDegree&&(t+=Math.PI*e.rotationDegree/180);return A(t)}(o,n)),0===o)t.xCenter=t.xCenter+i*n.shiftX,t.yCenter=t.yCenter+r*n.shiftY;else{var a=(e.width*i*n.shiftX*Math.cos(o)-e.height*r*n.shiftY*Math.sin(o))/e.width,h=(e.width*i*n.shiftX*Math.sin(o)+e.height*r*n.shiftY*Math.cos(o))/e.height;t.xCenter=t.xCenter+a,t.yCenter=t.yCenter+h}if(n.squareLong){var s=Math.max(i*e.width,r*e.height);i=s/e.width,r=s/e.height}else if(n.squareShort){var u=Math.min(i*e.width,r*e.height);i=u/e.width,r=u/e.height}return t.width=i*n.scaleX,t.height=r*n.scaleY,t}function Q(t,e){for(var n=function(t,e){var n=t[0].x*e.width,i=t[0].y*e.height,r=(t[4].x+t[8].x)/2,o=(t[4].y+t[8].y)/2;return r=(r+t[6].x)/2*e.width,o=(o+t[6].y)/2*e.height,A(Math.PI/2-Math.atan2(-(o-i),r-n))}(t,e),i=A(-n),r=Number.POSITIVE_INFINITY,o=Number.NEGATIVE_INFINITY,a=Number.POSITIVE_INFINITY,h=Number.NEGATIVE_INFINITY,s=0,u=t;s<u.length;s++){var l=(g=u[s]).x,d=g.y;r=Math.min(r,l),o=Math.max(o,l),a=Math.min(a,d),h=Math.max(h,d)}var c=(o+r)/2,f=(h+a)/2;r=Number.POSITIVE_INFINITY,o=Number.NEGATIVE_INFINITY,a=Number.POSITIVE_INFINITY,h=Number.NEGATIVE_INFINITY;for(var p=0,m=t;p<m.length;p++){var g,x=((g=m[p]).x-c)*e.width,y=(g.y-f)*e.height,v=x*Math.cos(i)-y*Math.sin(i),M=x*Math.sin(i)+y*Math.cos(i);r=Math.min(r,v),o=Math.max(o,v),a=Math.min(a,M),h=Math.max(h,M)}var w=(o+r)/2,b=(h+a)/2,I=w*Math.cos(n)-b*Math.sin(n)+e.width*c,S=w*Math.sin(n)+b*Math.cos(n)+e.height*f,T=(o-r)/e.width,_=(h-a)/e.height;return{xCenter:I/e.width,yCenter:S/e.height,width:T,height:_,rotation:n}}var tt={reduceBoxesInLowestLayer:!1,interpolatedScaleAspectRatio:1,featureMapHeight:[],featureMapWidth:[],numLayers:4,minScale:.1484375,maxScale:.75,inputSizeHeight:192,inputSizeWidth:192,anchorOffsetX:.5,anchorOffsetY:.5,strides:[8,16,16,16],aspectRatios:[1],fixedAnchorSize:!0},et={runtime:"tfjs",modelType:"full",maxHands:2,detectorModelUrl:"https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/detector/full/1",landmarkModelUrl:"https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/landmark/full/1"},nt={flipHorizontal:!1,staticImageMode:!1},it={applyExponentialOnBoxSize:!1,flipVertically:!1,ignoreClasses:[],numClasses:1,numBoxes:2016,numCoords:18,boxCoordOffset:0,keypointCoordOffset:4,numKeypoints:7,numValuesPerKeypoint:2,sigmoidScore:!0,scoreClippingThresh:100,reverseOutputOrder:!0,xScale:192,yScale:192,hScale:192,wScale:192,minScoreThresh:.5},rt=.3,ot={shiftX:0,shiftY:-.5,scaleX:2.6,scaleY:2.6,squareLong:!0},at={shiftX:0,shiftY:-.1,scaleX:2,scaleY:2,squareLong:!0},ht={outputTensorSize:{width:192,height:192},keepAspectRatio:!0,outputTensorFloatRange:[0,1],borderMode:"zero"},st={outputTensorSize:{width:224,height:224},keepAspectRatio:!0,outputTensorFloatRange:[0,1],borderMode:"zero"},ut={numLandmarks:21,inputImageWidth:224,inputImageHeight:224,normalizeZ:.4,visibilityActivation:"none",flipHorizontally:!1,flipVertically:!1},lt={numLandmarks:21,inputImageWidth:1,inputImageHeight:1,visibilityActivation:"none",flipHorizontally:!1,flipVertically:!1};var dt,ct=function(){function t(t,e,n){this.detectorModel=t,this.landmarkModel=e,this.maxHands=n,this.prevHandRectsFromLandmarks=null,this.anchors=function(t){null==t.reduceBoxesInLowestLayer&&(t.reduceBoxesInLowestLayer=!1),null==t.interpolatedScaleAspectRatio&&(t.interpolatedScaleAspectRatio=1),null==t.fixedAnchorSize&&(t.fixedAnchorSize=!1);for(var e=[],n=0;n<t.numLayers;){for(var i=[],r=[],o=[],a=[],h=n;h<t.strides.length&&t.strides[h]===t.strides[n];){var s=D(t.minScale,t.maxScale,h,t.strides.length);if(0===h&&t.reduceBoxesInLowestLayer)o.push(1),o.push(2),o.push(.5),a.push(.1),a.push(s),a.push(s);else{for(var u=0;u<t.aspectRatios.length;++u)o.push(t.aspectRatios[u]),a.push(s);if(t.interpolatedScaleAspectRatio>0){var l=h===t.strides.length-1?1:D(t.minScale,t.maxScale,h+1,t.strides.length);a.push(Math.sqrt(s*l)),o.push(t.interpolatedScaleAspectRatio)}}h++}for(var d=0;d<o.length;++d){var c=Math.sqrt(o[d]);i.push(a[d]/c),r.push(a[d]*c)}var f=0,p=0;if(t.featureMapHeight.length>0)f=t.featureMapHeight[n],p=t.featureMapWidth[n];else{var m=t.strides[n];f=Math.ceil(t.inputSizeHeight/m),p=Math.ceil(t.inputSizeWidth/m)}for(var g=0;g<f;++g)for(var x=0;x<p;++x)for(var y=0;y<i.length;++y){var v={xCenter:(x+t.anchorOffsetX)/p,yCenter:(g+t.anchorOffsetY)/f,width:0,height:0};t.fixedAnchorSize?(v.width=1,v.height=1):(v.width=r[y],v.height=i[y]),e.push(v)}n=h}return e}(tt);var i=p(this.anchors.map((function(t){return t.width}))),r=p(this.anchors.map((function(t){return t.height}))),o=p(this.anchors.map((function(t){return t.xCenter}))),a=p(this.anchors.map((function(t){return t.yCenter})));this.anchorTensor={x:o,y:a,w:i,h:r}}return t.prototype.estimateHands=function(t,e){return S(this,void 0,void 0,(function(){var n,i,o,a,h,d,f,p,m,g,x,y,v,M,w,b,S,C,k=this;return T(this,(function(T){switch(T.label){case 0:return n=function(t){if(null==t)return I({},nt);var e=I({},t);return null==e.flipHorizontal&&(e.flipHorizontal=nt.flipHorizontal),null==e.staticImageMode&&(e.staticImageMode=nt.staticImageMode),e}(e),null==t?(this.reset(),[2,[]]):(i=N(t),o=r((function(){var e=l(B(t),"float32");if(n.flipHorizontal){e=c(s.flipLeftRight(u(e,0)),[0])}return e})),a=this.prevHandRectsFromLandmarks,n.staticImageMode||null==a||a.length<this.maxHands?[4,this.detectPalm(o)]:[3,2]);case 1:return 0===(d=T.sent()).length?(this.reset(),o.dispose(),[2,[]]):(f=d.map((function(t){return k.palmDetectionToRoi(t,i)})),h=f,[3,3]);case 2:h=a,T.label=3;case 3:return H=.5,z=[],[h].forEach((function(t){return t.forEach((function(t){(z=z.filter((function(e){return L(t,e)<=H}))).push(t)}))})),h=z,[4,Promise.all(h.map((function(t){return k.handLandmarks(t,o)})))];case 4:for(p=T.sent(),m=[],this.prevHandRectsFromLandmarks=[],g=0,x=p;g<x.length;g++)null!=(y=x[g])&&(v=y.landmarks,M=y.worldLandmarks,w=y.handScore,b=y.handedness,this.prevHandRectsFromLandmarks.push(this.handLandmarksToRoi(v,i)),null!=(S=X(v,i))&&S.forEach((function(t,e){delete t.z,t.name=_[e]})),null!=(C=M)&&C.forEach((function(t,e){t.name=_[e]})),m.push({keypoints:S,keypoints3D:C,handedness:b,score:w}));return o.dispose(),[2,m]}var H,z}))}))},t.prototype.dispose=function(){this.detectorModel.dispose(),this.landmarkModel.dispose(),f([this.anchorTensor.x,this.anchorTensor.y,this.anchorTensor.w,this.anchorTensor.h])},t.prototype.reset=function(){this.prevHandRectsFromLandmarks=null},t.prototype.detectPalm=function(t){return S(this,void 0,void 0,(function(){var e,n,i,r,o,a,h,s,u,l;return T(this,(function(d){switch(d.label){case 0:return e=P(t,ht),n=e.imageTensor,i=e.padding,r=this.detectorModel.predict(n),o=U(r),a=o.boxes,[4,W([h=o.logits,a],this.anchorTensor,it)];case 1:return 0===(s=d.sent()).length?(f([n,r,h,a]),[2,s]):[4,j(s,this.maxHands,rt)];case 2:return u=d.sent(),l=function(t,e){void 0===t&&(t=[]);for(var n=e.left,i=e.top,r=e.left+e.right,o=e.top+e.bottom,a=0;a<t.length;a++){var h=t[a],s=h.locationData.relativeBoundingBox,u=(s.xMin-n)/(1-r),l=(s.yMin-i)/(1-o),d=s.width/(1-r),c=s.height/(1-o);s.xMin=u,s.yMin=l,s.width=d,s.height=c,s.xMax=u+d,s.yMax=l+c;var f=h.locationData.relativeKeypoints;f&&f.forEach((function(t){var e=(t.x-n)/(1-r),a=(t.y-i)/(1-o);t.x=e,t.y=a}))}return t}(u,i),f([n,r,h,a]),[2,l]}}))}))},t.prototype.palmDetectionToRoi=function(t,e){return J(Y(t,"boundingbox","normRect",e,{rotationVectorStartKeypointIndex:0,rotationVectorEndKeypointIndex:2,rotationVectorTargetAngleDegree:90}),e,ot)},t.prototype.handLandmarks=function(t,e){return S(this,void 0,void 0,(function(){var n,i,r,o,a,h,s,u,l,d,c,p,m,g,x,y;return T(this,(function(v){switch(v.label){case 0:return n=P(e,st,t),i=n.imageTensor,r=n.padding,o=this.landmarkModel.execute(i,["Identity_2:0","Identity_1:0","Identity:0","Identity_3:0"]),a=o[0],h=o[1],s=o[2],u=o[3],[4,h.data()];case 1:return(l=v.sent()[0])<.5?(f(o),f(i),[2,null]):[4,s.data()];case 2:return d=v.sent()[0],c=d>=.5?"Left":"Right",[4,$(a,ut)];case 3:return p=v.sent(),[4,$(u,lt)];case 4:return m=v.sent(),g=function(t,e){var n=e.left,i=e.top,r=e.left+e.right,o=e.top+e.bottom;return t.map((function(t){return I(I({},t),{x:(t.x-n)/(1-r),y:(t.y-i)/(1-o),z:t.z/(1-r)})}))}(p,r),x=function(t,e,n){void 0===n&&(n={ignoreRotation:!1});for(var i=[],r=0,o=t;r<o.length;r++){var a=o[r],h=a.x-.5,s=a.y-.5,u=n.ignoreRotation?0:e.rotation,l=Math.cos(u)*h-Math.sin(u)*s,d=Math.sin(u)*h+Math.cos(u)*s;l=l*e.width+e.xCenter,d=d*e.height+e.yCenter;var c=a.z*e.width,f=I({},a);f.x=l,f.y=d,f.z=c,i.push(f)}return i}(g,t),y=function(t,e){for(var n=[],i=0,r=t;i<r.length;i++){var o=r[i],a=o.x,h=o.y,s=e.rotation,u=Math.cos(s)*a-Math.sin(s)*h,l=Math.sin(s)*a+Math.cos(s)*h,d=I({},o);d.x=u,d.y=l,n.push(d)}return n}(m,t),f(o),f(i),[2,{landmarks:x,worldLandmarks:y,handScore:l,handedness:c}]}}))}))},t.prototype.handLandmarksToRoi=function(t,e){return J(Q([].concat(t.slice(0,4),t.slice(5,7),t.slice(9,11),t.slice(13,15),t.slice(17,19)),e),e,at)},t}();function ft(t){return S(this,void 0,void 0,(function(){var e,n,i,r,o,a;return T(this,(function(h){switch(h.label){case 0:return e=function(t){if(null==t)return I({},et);var e=I({},t);if(e.runtime="tfjs",null==e.maxHands&&(e.maxHands=et.maxHands),null==e.modelType&&(e.modelType=et.modelType),"lite"!==e.modelType&&"full"!==e.modelType)throw new Error("Model type must be one of lite or full, but got "+e.modelType);null==e.detectorModelUrl&&("lite"===e.modelType?e.detectorModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/detector/lite/1":e.detectorModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/detector/full/1");null==e.landmarkModelUrl&&("lite"===e.modelType?e.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/landmark/lite/1":e.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/landmark/full/1");return e}(t),n=e.detectorModelUrl.indexOf("https://tfhub.dev")>-1,i=e.landmarkModelUrl.indexOf("https://tfhub.dev")>-1,[4,Promise.all([b(e.detectorModelUrl,{fromTFHub:n}),b(e.landmarkModelUrl,{fromTFHub:i})])];case 1:return r=h.sent(),o=r[0],a=r[1],[2,new ct(o,a,e.maxHands)]}}))}))}function pt(t,e){return S(this,void 0,void 0,(function(){var n,i;return T(this,(function(r){if(t===dt.MediaPipeHands){if(i=void 0,null!=(n=e)){if("tfjs"===n.runtime)return[2,ft(n)];if("mediapipe"===n.runtime)return[2,H(n)];i=n.runtime}throw new Error("Expect modelConfig.runtime to be either 'tfjs' or 'mediapipe', but got "+i)}throw new Error(t+" is not a supported model name.")}))}))}!function(t){t.MediaPipeHands="MediaPipeHands"}(dt||(dt={}));export{dt as SupportedModels,pt as createDetector};
