/**
    * @license
    * Copyright 2023 Google LLC. All Rights Reserved.
    * Licensed under the Apache License, Version 2.0 (the "License");
    * you may not use this file except in compliance with the License.
    * You may obtain a copy of the License at
    *
    * http://www.apache.org/licenses/LICENSE-2.0
    *
    * Unless required by applicable law or agreed to in writing, software
    * distributed under the License is distributed on an "AS IS" BASIS,
    * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    * See the License for the specific language governing permissions and
    * limitations under the License.
    * =============================================================================
    */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("@mediapipe/hands"),require("@tensorflow/tfjs-core"),require("@tensorflow/tfjs-converter")):"function"==typeof define&&define.amd?define(["exports","@mediapipe/hands","@tensorflow/tfjs-core","@tensorflow/tfjs-converter"],t):t((e=e||self).handPoseDetection={},e.globalThis,e.tf,e.tf)}(this,(function(e,t,n,i){"use strict";var r=function(){return r=Object.assign||function(e){for(var t,n=1,i=arguments.length;n<i;n++)for(var r in t=arguments[n])Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r]);return e},r.apply(this,arguments)};function o(e,t,n,i){return new(n||(n=Promise))((function(r,o){function a(e){try{h(i.next(e))}catch(e){o(e)}}function s(e){try{h(i.throw(e))}catch(e){o(e)}}function h(e){var t;e.done?r(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(a,s)}h((i=i.apply(e,t||[])).next())}))}function a(e,t){var n,i,r,o,a={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return o={next:s(0),throw:s(1),return:s(2)},"function"==typeof Symbol&&(o[Symbol.iterator]=function(){return this}),o;function s(s){return function(h){return function(s){if(n)throw new TypeError("Generator is already executing.");for(;o&&(o=0,s[0]&&(a=0)),a;)try{if(n=1,i&&(r=2&s[0]?i.return:s[0]?i.throw||((r=i.return)&&r.call(i),0):i.next)&&!(r=r.call(i,s[1])).done)return r;switch(i=0,r&&(s=[2&s[0],r.value]),s[0]){case 0:case 1:r=s;break;case 4:return a.label++,{value:s[1],done:!1};case 5:a.label++,i=s[1],s=[0];continue;case 7:s=a.ops.pop(),a.trys.pop();continue;default:if(!(r=a.trys,(r=r.length>0&&r[r.length-1])||6!==s[0]&&2!==s[0])){a=0;continue}if(3===s[0]&&(!r||s[1]>r[0]&&s[1]<r[3])){a.label=s[1];break}if(6===s[0]&&a.label<r[1]){a.label=r[1],r=s;break}if(r&&a.label<r[2]){a.label=r[2],a.ops.push(s);break}r[2]&&a.ops.pop(),a.trys.pop();continue}s=t.call(e,a)}catch(e){s=[6,e],i=0}finally{n=r=0}if(5&s[0])throw s[1];return{value:s[0]?s[1]:void 0,done:!0}}([s,h])}}}"function"==typeof SuppressedError&&SuppressedError;var s=["wrist","thumb_cmc","thumb_mcp","thumb_ip","thumb_tip","index_finger_mcp","index_finger_pip","index_finger_dip","index_finger_tip","middle_finger_mcp","middle_finger_pip","middle_finger_dip","middle_finger_tip","ring_finger_mcp","ring_finger_pip","ring_finger_dip","ring_finger_tip","pinky_finger_mcp","pinky_finger_pip","pinky_finger_dip","pinky_finger_tip"],h={runtime:"mediapipe",maxHands:2,modelType:"full"};var u=function(){function e(e){var n,i=this;if(this.width=0,this.height=0,this.selfieMode=!1,this.handsSolution=new t.Hands({locateFile:function(t,n){return e.solutionPath?e.solutionPath.replace(/\/+$/,"")+"/"+t:n+"/"+t}}),"lite"===e.modelType)n=0;else n=1;this.handsSolution.setOptions({modelComplexity:n,selfieMode:this.selfieMode,maxNumHands:e.maxHands}),this.handsSolution.onResults((function(e){if(i.height=e.image.height,i.width=e.image.width,i.hands=[],null!==e.multiHandLandmarks)for(var t=e.multiHandedness,n=e.multiHandLandmarks,o=e.multiHandWorldLandmarks,a=0;a<t.length;a++)i.hands.push(r(r({},i.translateOutput(n[a],o[a])),{score:t[a].score,handedness:t[a].label}))}))}return e.prototype.translateOutput=function(e,t){var n=this;return{keypoints:e.map((function(e,t){return{x:e.x*n.width,y:e.y*n.height,score:e.visibility,name:s[t]}})),keypoints3D:t.map((function(e,t){return{x:e.x,y:e.y,z:e.z,score:e.visibility,name:s[t]}}))}},e.prototype.estimateHands=function(e,t){return o(this,void 0,void 0,(function(){var i,r;return a(this,(function(o){switch(o.label){case 0:return t&&t.flipHorizontal&&t.flipHorizontal!==this.selfieMode&&(this.selfieMode=t.flipHorizontal,this.handsSolution.setOptions({selfieMode:this.selfieMode})),e instanceof n.Tensor?(r=ImageData.bind,[4,n.browser.toPixels(e)]):[3,2];case 1:return i=new(r.apply(ImageData,[void 0,o.sent(),e.shape[1],e.shape[0]])),[3,3];case 2:i=e,o.label=3;case 3:return e=i,[4,this.handsSolution.send({image:e})];case 4:return o.sent(),[2,this.hands]}}))}))},e.prototype.dispose=function(){this.handsSolution.close()},e.prototype.reset=function(){this.handsSolution.reset(),this.width=0,this.height=0,this.hands=null,this.selfieMode=!1},e.prototype.initialize=function(){return this.handsSolution.initialize()},e}();function l(e){return o(this,void 0,void 0,(function(){var t,n;return a(this,(function(i){switch(i.label){case 0:return t=function(e){if(null==e)return r({},h);var t=r({},e);return t.runtime="mediapipe",null==t.maxHands&&(t.maxHands=h.maxHands),null==t.modelType&&(t.modelType=h.modelType),t}(e),[4,(n=new u(t)).initialize()];case 1:return i.sent(),[2,n]}}))}))}function d(e){return e.width*e.height}function c(e){var t=e.xCenter-e.width/2,n=t+e.width,i=e.yCenter-e.height/2;return{xMin:t,xMax:n,yMin:i,yMax:i+e.height,width:e.width,height:e.height}}function f(e,t){var n=c(e),i=c(t);if(!function(e,t){return!(e.xMax<t.xMin||t.xMax<e.xMin||e.yMax<t.yMin||t.yMax<e.yMin)}(n,i))return 0;var r=d(function(e,t){var n=Math.max(e.xMin,t.xMin),i=Math.min(e.xMax,t.xMax),r=Math.max(e.yMin,t.yMin),o=Math.min(e.yMax,t.yMax);return{xMin:n,xMax:i,yMin:r,yMax:o,width:Math.max(i-n,0),height:Math.max(o-r,0)}}(n,i)),o=d(n)+d(i)-r;return o>0?r/o:0}function p(e,t,n,i){var r=e.width,o=e.height,a=i?-1:1,s=Math.cos(e.rotation),h=Math.sin(e.rotation),u=e.xCenter,l=e.yCenter,d=1/t,c=1/n,f=new Array(16);return f[0]=r*s*a*d,f[1]=-o*h*d,f[2]=0,f[3]=(-.5*r*s*a+.5*o*h+u)*d,f[4]=r*h*a*c,f[5]=o*s*c,f[6]=0,f[7]=(-.5*o*s-.5*r*h*a+l)*c,f[8]=0,f[9]=0,f[10]=r*d,f[11]=0,f[12]=0,f[13]=0,f[14]=0,f[15]=1,function(e){if(16!==e.length)throw new Error("Array length must be 16 but got "+e.length);return[[e[0],e[1],e[2],e[3]],[e[4],e[5],e[6],e[7]],[e[8],e[9],e[10],e[11]],[e[12],e[13],e[14],e[15]]]}(f)}function m(e){return e instanceof n.Tensor?{height:e.shape[0],width:e.shape[1]}:{height:e.height,width:e.width}}function g(e){return e-2*Math.PI*Math.floor((e+Math.PI)/(2*Math.PI))}function y(e){return e instanceof n.Tensor?e:n.browser.fromPixels(e)}function x(e,t){n.util.assert(0!==e.width,(function(){return t+" width cannot be 0."})),n.util.assert(0!==e.height,(function(){return t+" height cannot be 0."}))}function v(e,t){var i=function(e,t,n,i){var r=t-e,o=i-n;if(0===r)throw new Error("Original min and max are both "+e+", range cannot be 0.");var a=o/r;return{scale:a,offset:n-e*a}}(0,255,t[0],t[1]);return n.tidy((function(){return n.add(n.mul(e,i.scale),i.offset)}))}function M(e,t,i){var r=t.outputTensorSize,o=t.keepAspectRatio,a=t.borderMode,s=t.outputTensorFloatRange,h=m(e),u=function(e,t){return t?{xCenter:t.xCenter*e.width,yCenter:t.yCenter*e.height,width:t.width*e.width,height:t.height*e.height,rotation:t.rotation}:{xCenter:.5*e.width,yCenter:.5*e.height,width:e.width,height:e.height,rotation:0}}(h,i),l=function(e,t,n){if(void 0===n&&(n=!1),!n)return{top:0,left:0,right:0,bottom:0};var i=t.height,r=t.width;x(t,"targetSize"),x(e,"roi");var o,a,s=i/r,h=e.height/e.width,u=0,l=0;return s>h?(o=e.width,a=e.width*s,l=(1-h/s)/2):(o=e.height/s,a=e.height,u=(1-s/h)/2),e.width=o,e.height=a,{top:l,left:u,right:u,bottom:l}}(u,r,o),d=p(u,h.width,h.height,!1),c=n.tidy((function(){var t=y(e),i=n.tensor2d(function(e,t,n){return x(n,"inputResolution"),[1/n.width*e[0][0]*t.width,1/n.height*e[0][1]*t.width,e[0][3]*t.width,1/n.width*e[1][0]*t.height,1/n.height*e[1][1]*t.height,e[1][3]*t.height,0,0]}(d,h,r),[1,8]),o="zero"===a?"constant":"nearest",u=n.image.transform(n.expandDims(n.cast(t,"float32")),i,"bilinear",o,0,[r.height,r.width]);return null!=s?v(u,s):u}));return{imageTensor:c,padding:l,transformationMatrix:d}}function w(e,t,n,i){return 1===i?.5*(e+t):e+(t-e)*n/(i-1)}function b(e){return{xCenter:e.xMin+e.width/2,yCenter:e.yMin+e.height/2,width:e.width,height:e.height}}function I(e){var t=e.relativeKeypoints;if(t.length<=1)throw new Error("2 or more keypoints required to calculate a rect.");var n=Number.MAX_VALUE,i=Number.MAX_VALUE,r=Number.MIN_VALUE,o=Number.MIN_VALUE;return t.forEach((function(e){n=Math.min(n,e.x),r=Math.max(r,e.x),i=Math.min(i,e.y),o=Math.max(o,e.y)})),{xCenter:(n+r)/2,yCenter:(i+o)/2,width:r-n,height:o-i}}function S(e,t,n,i,r){var o="rect"===n?function(e,t,n){var i,r=e.locationData;if("boundingbox"===t)i=b(r.boundingBox);else{i=I(r);var o=n.width,a=n.height;i.xCenter=Math.round(i.xCenter*o),i.yCenter=Math.round(i.yCenter*a),i.width=Math.round(i.width*o),i.height=Math.round(i.height*a)}return i}(e,t,i):function(e,t){var n=e.locationData;return"boundingbox"===t?b(n.relativeBoundingBox):I(n)}(e,t);return r&&(o.rotation=function(e,t,n){var i,r=e.locationData,o=n.rotationVectorStartKeypointIndex,a=n.rotationVectorEndKeypointIndex;i=n.rotationVectorTargetAngle?n.rotationVectorTargetAngle:Math.PI*n.rotationVectorTargetAngleDegree/180;var s=r.relativeKeypoints[o].x*t.width,h=r.relativeKeypoints[o].y*t.height,u=r.relativeKeypoints[a].x*t.width,l=r.relativeKeypoints[a].y*t.height;return g(i-Math.atan2(-(l-h),u-s))}(e,i,r)),o}function T(e){return n.tidy((function(){var t=function(e){return n.tidy((function(){return[n.slice(e,[0,0,0],[1,-1,1]),n.slice(e,[0,0,1],[1,-1,-1])]}))}(e),i=t[0],r=t[1];return{boxes:n.squeeze(r),logits:n.squeeze(i)}}))}function z(e,t,i,r){return o(this,void 0,void 0,(function(){var r,o,s,h,u;return a(this,(function(a){switch(a.label){case 0:return e.sort((function(e,t){return Math.max.apply(Math,t.score)-Math.max.apply(Math,e.score)})),r=n.tensor2d(e.map((function(e){return[e.locationData.relativeBoundingBox.yMin,e.locationData.relativeBoundingBox.xMin,e.locationData.relativeBoundingBox.yMax,e.locationData.relativeBoundingBox.xMax]}))),o=n.tensor1d(e.map((function(e){return e.score[0]}))),[4,n.image.nonMaxSuppressionAsync(r,o,t,i)];case 1:return[4,(s=a.sent()).array()];case 2:return h=a.sent(),u=e.filter((function(e,t){return h.indexOf(t)>-1})),n.dispose([r,o,s]),[2,u]}}))}))}function _(e,t){return e.map((function(e){var n=r(r({},e),{x:e.x*t.width,y:e.y*t.height});return null!=e.z&&(n.z=e.z*t.width),n}))}function C(e,t,i){return o(this,void 0,void 0,(function(){var r,o,s,h,u;return a(this,(function(a){switch(a.label){case 0:return r=e[0],o=e[1],s=function(e,t,i){return n.tidy((function(){var r,o,a,s;i.reverseOutputOrder?(o=n.squeeze(n.slice(e,[0,i.boxCoordOffset+0],[-1,1])),r=n.squeeze(n.slice(e,[0,i.boxCoordOffset+1],[-1,1])),s=n.squeeze(n.slice(e,[0,i.boxCoordOffset+2],[-1,1])),a=n.squeeze(n.slice(e,[0,i.boxCoordOffset+3],[-1,1]))):(r=n.squeeze(n.slice(e,[0,i.boxCoordOffset+0],[-1,1])),o=n.squeeze(n.slice(e,[0,i.boxCoordOffset+1],[-1,1])),a=n.squeeze(n.slice(e,[0,i.boxCoordOffset+2],[-1,1])),s=n.squeeze(n.slice(e,[0,i.boxCoordOffset+3],[-1,1]))),o=n.add(n.mul(n.div(o,i.xScale),t.w),t.x),r=n.add(n.mul(n.div(r,i.yScale),t.h),t.y),i.applyExponentialOnBoxSize?(a=n.mul(n.exp(n.div(a,i.hScale)),t.h),s=n.mul(n.exp(n.div(s,i.wScale)),t.w)):(a=n.mul(n.div(a,i.hScale),t.h),s=n.mul(n.div(s,i.wScale),t.h));var h=n.sub(r,n.div(a,2)),u=n.sub(o,n.div(s,2)),l=n.add(r,n.div(a,2)),d=n.add(o,n.div(s,2)),c=n.concat([n.reshape(h,[i.numBoxes,1]),n.reshape(u,[i.numBoxes,1]),n.reshape(l,[i.numBoxes,1]),n.reshape(d,[i.numBoxes,1])],1);if(i.numKeypoints)for(var f=0;f<i.numKeypoints;++f){var p=i.keypointCoordOffset+f*i.numValuesPerKeypoint,m=void 0,g=void 0;i.reverseOutputOrder?(m=n.squeeze(n.slice(e,[0,p],[-1,1])),g=n.squeeze(n.slice(e,[0,p+1],[-1,1]))):(g=n.squeeze(n.slice(e,[0,p],[-1,1])),m=n.squeeze(n.slice(e,[0,p+1],[-1,1])));var y=n.add(n.mul(n.div(m,i.xScale),t.w),t.x),x=n.add(n.mul(n.div(g,i.yScale),t.h),t.y);c=n.concat([c,n.reshape(y,[i.numBoxes,1]),n.reshape(x,[i.numBoxes,1])],1)}return c}))}(o,t,i),h=n.tidy((function(){var e=r;return i.sigmoidScore?(null!=i.scoreClippingThresh&&(e=n.clipByValue(r,-i.scoreClippingThresh,i.scoreClippingThresh)),e=n.sigmoid(e)):e})),[4,H(s,h,i)];case 1:return u=a.sent(),n.dispose([s,h]),[2,u]}}))}))}function H(e,t,n){return o(this,void 0,void 0,(function(){var i,r,o,s,h,u,l,d,c,f,p,m;return a(this,(function(a){switch(a.label){case 0:return i=[],[4,e.data()];case 1:return r=a.sent(),[4,t.data()];case 2:for(o=a.sent(),s=0;s<n.numBoxes;++s)if(!(null!=n.minScoreThresh&&o[s]<n.minScoreThresh||(h=s*n.numCoords,u=k(r[h+0],r[h+1],r[h+2],r[h+3],o[s],n.flipVertically,s),(l=u.locationData.relativeBoundingBox).width<0||l.height<0))){if(n.numKeypoints>0)for((d=u.locationData).relativeKeypoints=[],c=n.numKeypoints*n.numValuesPerKeypoint,f=0;f<c;f+=n.numValuesPerKeypoint)p=h+n.keypointCoordOffset+f,m={x:r[p+0],y:n.flipVertically?1-r[p+1]:r[p+1]},d.relativeKeypoints.push(m);i.push(u)}return[2,i]}}))}))}function k(e,t,n,i,r,o,a){return{score:[r],ind:a,locationData:{relativeBoundingBox:{xMin:t,yMin:o?1-n:e,xMax:i,yMax:o?1-e:n,width:i-t,height:n-e}}}}function O(e,t){return"none"===e?t:function(e){return 1/(1+Math.exp(-e))}(t)}function L(e,t,n,i){return o(this,void 0,void 0,(function(){var r,o,s,h,u,l,d,c;return a(this,(function(a){switch(a.label){case 0:return n=n||t.flipHorizontally||!1,i=i||t.flipVertically||!1,r=e.size,o=r/t.numLandmarks,[4,e.data()];case 1:for(s=a.sent(),h=[],u=0;u<t.numLandmarks;++u)l=u*o,(c={x:0,y:0}).x=n?t.inputImageWidth-s[l]:s[l],o>1&&(c.y=i?t.inputImageHeight-s[l+1]:s[l+1]),o>2&&(c.z=s[l+2]),o>3&&(c.score=O(t.visibilityActivation,s[l+3])),h.push(c);for(d=0;d<h.length;++d)(c=h[d]).x=c.x/t.inputImageWidth,c.y=c.y/t.inputImageHeight,c.z=c.z/t.inputImageWidth/(t.normalizeZ||1);return[2,h]}}))}))}function E(e,t,n){var i=e.width,r=e.height,o=e.rotation;if(null==n.rotation&&null==n.rotationDegree||(o=function(e,t){null!=t.rotation?e+=t.rotation:null!=t.rotationDegree&&(e+=Math.PI*t.rotationDegree/180);return g(e)}(o,n)),0===o)e.xCenter=e.xCenter+i*n.shiftX,e.yCenter=e.yCenter+r*n.shiftY;else{var a=(t.width*i*n.shiftX*Math.cos(o)-t.height*r*n.shiftY*Math.sin(o))/t.width,s=(t.width*i*n.shiftX*Math.sin(o)+t.height*r*n.shiftY*Math.cos(o))/t.height;e.xCenter=e.xCenter+a,e.yCenter=e.yCenter+s}if(n.squareLong){var h=Math.max(i*t.width,r*t.height);i=h/t.width,r=h/t.height}else if(n.squareShort){var u=Math.min(i*t.width,r*t.height);i=u/t.width,r=u/t.height}return e.width=i*n.scaleX,e.height=r*n.scaleY,e}function N(e,t){for(var n=function(e,t){var n=e[0].x*t.width,i=e[0].y*t.height,r=(e[4].x+e[8].x)/2,o=(e[4].y+e[8].y)/2;return r=(r+e[6].x)/2*t.width,o=(o+e[6].y)/2*t.height,g(Math.PI/2-Math.atan2(-(o-i),r-n))}(e,t),i=g(-n),r=Number.POSITIVE_INFINITY,o=Number.NEGATIVE_INFINITY,a=Number.POSITIVE_INFINITY,s=Number.NEGATIVE_INFINITY,h=0,u=e;h<u.length;h++){var l=(y=u[h]).x,d=y.y;r=Math.min(r,l),o=Math.max(o,l),a=Math.min(a,d),s=Math.max(s,d)}var c=(o+r)/2,f=(s+a)/2;r=Number.POSITIVE_INFINITY,o=Number.NEGATIVE_INFINITY,a=Number.POSITIVE_INFINITY,s=Number.NEGATIVE_INFINITY;for(var p=0,m=e;p<m.length;p++){var y,x=((y=m[p]).x-c)*t.width,v=(y.y-f)*t.height,M=x*Math.cos(i)-v*Math.sin(i),w=x*Math.sin(i)+v*Math.cos(i);r=Math.min(r,M),o=Math.max(o,M),a=Math.min(a,w),s=Math.max(s,w)}var b=(o+r)/2,I=(s+a)/2,S=b*Math.cos(n)-I*Math.sin(n)+t.width*c,T=b*Math.sin(n)+I*Math.cos(n)+t.height*f,z=(o-r)/t.width,_=(s-a)/t.height;return{xCenter:S/t.width,yCenter:T/t.height,width:z,height:_,rotation:n}}var A="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/detector/full/1",B="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/landmark/full/1",V={reduceBoxesInLowestLayer:!1,interpolatedScaleAspectRatio:1,featureMapHeight:[],featureMapWidth:[],numLayers:4,minScale:.1484375,maxScale:.75,inputSizeHeight:192,inputSizeWidth:192,anchorOffsetX:.5,anchorOffsetY:.5,strides:[8,16,16,16],aspectRatios:[1],fixedAnchorSize:!0},R={runtime:"tfjs",modelType:"full",maxHands:2,detectorModelUrl:A,landmarkModelUrl:B},P={flipHorizontal:!1,staticImageMode:!1},D={applyExponentialOnBoxSize:!1,flipVertically:!1,ignoreClasses:[],numClasses:1,numBoxes:2016,numCoords:18,boxCoordOffset:0,keypointCoordOffset:4,numKeypoints:7,numValuesPerKeypoint:2,sigmoidScore:!0,scoreClippingThresh:100,reverseOutputOrder:!0,xScale:192,yScale:192,hScale:192,wScale:192,minScoreThresh:.5},q=.3,K={shiftX:0,shiftY:-.5,scaleX:2.6,scaleY:2.6,squareLong:!0},F={shiftX:0,shiftY:-.1,scaleX:2,scaleY:2,squareLong:!0},Y={outputTensorSize:{width:192,height:192},keepAspectRatio:!0,outputTensorFloatRange:[0,1],borderMode:"zero"},j={outputTensorSize:{width:224,height:224},keepAspectRatio:!0,outputTensorFloatRange:[0,1],borderMode:"zero"},U={numLandmarks:21,inputImageWidth:224,inputImageHeight:224,normalizeZ:.4,visibilityActivation:"none",flipHorizontally:!1,flipVertically:!1},X={numLandmarks:21,inputImageWidth:1,inputImageHeight:1,visibilityActivation:"none",flipHorizontally:!1,flipVertically:!1};var W=function(){function e(e,t,i){this.detectorModel=e,this.landmarkModel=t,this.maxHands=i,this.prevHandRectsFromLandmarks=null,this.anchors=function(e){null==e.reduceBoxesInLowestLayer&&(e.reduceBoxesInLowestLayer=!1),null==e.interpolatedScaleAspectRatio&&(e.interpolatedScaleAspectRatio=1),null==e.fixedAnchorSize&&(e.fixedAnchorSize=!1);for(var t=[],n=0;n<e.numLayers;){for(var i=[],r=[],o=[],a=[],s=n;s<e.strides.length&&e.strides[s]===e.strides[n];){var h=w(e.minScale,e.maxScale,s,e.strides.length);if(0===s&&e.reduceBoxesInLowestLayer)o.push(1),o.push(2),o.push(.5),a.push(.1),a.push(h),a.push(h);else{for(var u=0;u<e.aspectRatios.length;++u)o.push(e.aspectRatios[u]),a.push(h);if(e.interpolatedScaleAspectRatio>0){var l=s===e.strides.length-1?1:w(e.minScale,e.maxScale,s+1,e.strides.length);a.push(Math.sqrt(h*l)),o.push(e.interpolatedScaleAspectRatio)}}s++}for(var d=0;d<o.length;++d){var c=Math.sqrt(o[d]);i.push(a[d]/c),r.push(a[d]*c)}var f=0,p=0;if(e.featureMapHeight.length>0)f=e.featureMapHeight[n],p=e.featureMapWidth[n];else{var m=e.strides[n];f=Math.ceil(e.inputSizeHeight/m),p=Math.ceil(e.inputSizeWidth/m)}for(var g=0;g<f;++g)for(var y=0;y<p;++y)for(var x=0;x<i.length;++x){var v={xCenter:(y+e.anchorOffsetX)/p,yCenter:(g+e.anchorOffsetY)/f,width:0,height:0};e.fixedAnchorSize?(v.width=1,v.height=1):(v.width=r[x],v.height=i[x]),t.push(v)}n=s}return t}(V);var r=n.tensor1d(this.anchors.map((function(e){return e.width}))),o=n.tensor1d(this.anchors.map((function(e){return e.height}))),a=n.tensor1d(this.anchors.map((function(e){return e.xCenter}))),s=n.tensor1d(this.anchors.map((function(e){return e.yCenter})));this.anchorTensor={x:a,y:s,w:r,h:o}}return e.prototype.estimateHands=function(e,t){return o(this,void 0,void 0,(function(){var i,o,h,u,l,d,c,p,g,x,v,M,w,b,I,S,T,z,C=this;return a(this,(function(a){switch(a.label){case 0:return i=function(e){if(null==e)return r({},P);var t=r({},e);return null==t.flipHorizontal&&(t.flipHorizontal=P.flipHorizontal),null==t.staticImageMode&&(t.staticImageMode=P.staticImageMode),t}(t),null==e?(this.reset(),[2,[]]):(o=m(e),h=n.tidy((function(){var t=n.cast(y(e),"float32");if(i.flipHorizontal){t=n.squeeze(n.image.flipLeftRight(n.expandDims(t,0)),[0])}return t})),u=this.prevHandRectsFromLandmarks,i.staticImageMode||null==u||u.length<this.maxHands?[4,this.detectPalm(h)]:[3,2]);case 1:return 0===(d=a.sent()).length?(this.reset(),h.dispose(),[2,[]]):(c=d.map((function(e){return C.palmDetectionToRoi(e,o)})),l=c,[3,3]);case 2:l=u,a.label=3;case 3:return H=.5,k=[],[l].forEach((function(e){return e.forEach((function(e){(k=k.filter((function(t){return f(e,t)<=H}))).push(e)}))})),l=k,[4,Promise.all(l.map((function(e){return C.handLandmarks(e,h)})))];case 4:for(p=a.sent(),g=[],this.prevHandRectsFromLandmarks=[],x=0,v=p;x<v.length;x++)null!=(M=v[x])&&(w=M.landmarks,b=M.worldLandmarks,I=M.handScore,S=M.handedness,this.prevHandRectsFromLandmarks.push(this.handLandmarksToRoi(w,o)),null!=(T=_(w,o))&&T.forEach((function(e,t){delete e.z,e.name=s[t]})),null!=(z=b)&&z.forEach((function(e,t){e.name=s[t]})),g.push({keypoints:T,keypoints3D:z,handedness:S,score:I}));return h.dispose(),[2,g]}var H,k}))}))},e.prototype.dispose=function(){this.detectorModel.dispose(),this.landmarkModel.dispose(),n.dispose([this.anchorTensor.x,this.anchorTensor.y,this.anchorTensor.w,this.anchorTensor.h])},e.prototype.reset=function(){this.prevHandRectsFromLandmarks=null},e.prototype.detectPalm=function(e){return o(this,void 0,void 0,(function(){var t,i,r,o,s,h,u,l,d,c;return a(this,(function(a){switch(a.label){case 0:return t=M(e,Y),i=t.imageTensor,r=t.padding,o=this.detectorModel.predict(i),s=T(o),h=s.boxes,[4,C([u=s.logits,h],this.anchorTensor,D)];case 1:return 0===(l=a.sent()).length?(n.dispose([i,o,u,h]),[2,l]):[4,z(l,this.maxHands,q)];case 2:return d=a.sent(),c=function(e,t){void 0===e&&(e=[]);for(var n=t.left,i=t.top,r=t.left+t.right,o=t.top+t.bottom,a=0;a<e.length;a++){var s=e[a],h=s.locationData.relativeBoundingBox,u=(h.xMin-n)/(1-r),l=(h.yMin-i)/(1-o),d=h.width/(1-r),c=h.height/(1-o);h.xMin=u,h.yMin=l,h.width=d,h.height=c,h.xMax=u+d,h.yMax=l+c;var f=s.locationData.relativeKeypoints;f&&f.forEach((function(e){var t=(e.x-n)/(1-r),a=(e.y-i)/(1-o);e.x=t,e.y=a}))}return e}(d,r),n.dispose([i,o,u,h]),[2,c]}}))}))},e.prototype.palmDetectionToRoi=function(e,t){return E(S(e,"boundingbox","normRect",t,{rotationVectorStartKeypointIndex:0,rotationVectorEndKeypointIndex:2,rotationVectorTargetAngleDegree:90}),t,K)},e.prototype.handLandmarks=function(e,t){return o(this,void 0,void 0,(function(){var i,o,s,h,u,l,d,c,f,p,m,g,y,x,v,w;return a(this,(function(a){switch(a.label){case 0:return i=M(t,j,e),o=i.imageTensor,s=i.padding,h=this.landmarkModel.execute(o,["Identity_2:0","Identity_1:0","Identity:0","Identity_3:0"]),u=h[0],l=h[1],d=h[2],c=h[3],[4,l.data()];case 1:return(f=a.sent()[0])<.5?(n.dispose(h),n.dispose(o),[2,null]):[4,d.data()];case 2:return p=a.sent()[0],m=p>=.5?"Left":"Right",[4,L(u,U)];case 3:return g=a.sent(),[4,L(c,X)];case 4:return y=a.sent(),x=function(e,t){var n=t.left,i=t.top,o=t.left+t.right,a=t.top+t.bottom;return e.map((function(e){return r(r({},e),{x:(e.x-n)/(1-o),y:(e.y-i)/(1-a),z:e.z/(1-o)})}))}(g,s),v=function(e,t,n){void 0===n&&(n={ignoreRotation:!1});for(var i=[],o=0,a=e;o<a.length;o++){var s=a[o],h=s.x-.5,u=s.y-.5,l=n.ignoreRotation?0:t.rotation,d=Math.cos(l)*h-Math.sin(l)*u,c=Math.sin(l)*h+Math.cos(l)*u;d=d*t.width+t.xCenter,c=c*t.height+t.yCenter;var f=s.z*t.width,p=r({},s);p.x=d,p.y=c,p.z=f,i.push(p)}return i}(x,e),w=function(e,t){for(var n=[],i=0,o=e;i<o.length;i++){var a=o[i],s=a.x,h=a.y,u=t.rotation,l=Math.cos(u)*s-Math.sin(u)*h,d=Math.sin(u)*s+Math.cos(u)*h,c=r({},a);c.x=l,c.y=d,n.push(c)}return n}(y,e),n.dispose(h),n.dispose(o),[2,{landmarks:v,worldLandmarks:w,handScore:f,handedness:m}]}}))}))},e.prototype.handLandmarksToRoi=function(e,t){return E(N([].concat(e.slice(0,4),e.slice(5,7),e.slice(9,11),e.slice(13,15),e.slice(17,19)),t),t,F)},e}();function G(e){return o(this,void 0,void 0,(function(){var t,n,o,s,h,u;return a(this,(function(a){switch(a.label){case 0:return t=function(e){if(null==e)return r({},R);var t=r({},e);if(t.runtime="tfjs",null==t.maxHands&&(t.maxHands=R.maxHands),null==t.modelType&&(t.modelType=R.modelType),"lite"!==t.modelType&&"full"!==t.modelType)throw new Error("Model type must be one of lite or full, but got "+t.modelType);null==t.detectorModelUrl&&("lite"===t.modelType?t.detectorModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/detector/lite/1":t.detectorModelUrl=A);null==t.landmarkModelUrl&&("lite"===t.modelType?t.landmarkModelUrl="https://tfhub.dev/mediapipe/tfjs-model/handpose_3d/landmark/lite/1":t.landmarkModelUrl=B);return t}(e),n=t.detectorModelUrl.indexOf("https://tfhub.dev")>-1,o=t.landmarkModelUrl.indexOf("https://tfhub.dev")>-1,[4,Promise.all([i.loadGraphModel(t.detectorModelUrl,{fromTFHub:n}),i.loadGraphModel(t.landmarkModelUrl,{fromTFHub:o})])];case 1:return s=a.sent(),h=s[0],u=s[1],[2,new W(h,u,t.maxHands)]}}))}))}(e.SupportedModels||(e.SupportedModels={})).MediaPipeHands="MediaPipeHands",e.createDetector=function(t,n){return o(this,void 0,void 0,(function(){var i,r;return a(this,(function(o){if(t===e.SupportedModels.MediaPipeHands){if(r=void 0,null!=(i=n)){if("tfjs"===i.runtime)return[2,G(i)];if("mediapipe"===i.runtime)return[2,l(i)];r=i.runtime}throw new Error("Expect modelConfig.runtime to be either 'tfjs' or 'mediapipe', but got "+r)}throw new Error(t+" is not a supported model name.")}))}))},Object.defineProperty(e,"__esModule",{value:!0})}));
